PartyAndReference
Keywords: net.corda.core.contracts.PartyAndReference class
Date: 2023-09-18

net.corda.core.contracts

## Class PartyAndReference

- net.corda.core.contracts.PartyAndReference

-     public class PartyAndReference

  Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.

- - ### Constructor Detail

    - #### PartyAndReference

          public PartyAndReference(@NotNull
                                   AbstractParty party,
                                   @NotNull
                                   OpaqueBytes reference)

      Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.

  - ### Method Detail

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### getParty

          @NotNull
          public AbstractParty getParty()

    - #### getReference

          @NotNull
          public OpaqueBytes getReference()

    - #### component1

          @NotNull
          public AbstractParty component1()

    - #### component2

          @NotNull
          public OpaqueBytes component2()

    - #### copy

          @NotNull
          public PartyAndReference copy(@NotNull
                                                 AbstractParty party,
                                                 @NotNull
                                                 OpaqueBytes reference)

      Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.

    - #### hashCode

          public int hashCode()

      Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.